JUCE: UnityAudioEffectDefinition Struct Reference

JUCE

Public Attributes | List of all members
UnityAudioEffectDefinition Struct Reference

## Public Attributes
juce::uint32 | structSize
juce::uint32 | parameterStructSize
juce::uint32 | apiVersion
juce::uint32 | pluginVersion
juce::uint32 | channels
juce::uint32 | numParameters
juce::uint64 | flags
char | name [32]
createCallback | create
releaseCallback | release
resetCallback | reset
processCallback | process
setPositionCallback | setPosition
UnityAudioParameterDefinition * | parameterDefintions
setFloatParameterCallback | setFloatParameter
getFloatParameterCallback | getFloatParameter
getFloatBufferCallback | getFloatBuffer

## Member Data Documentation

## ◆ structSize

juce::uint32 UnityAudioEffectDefinition::structSize

## ◆ parameterStructSize

juce::uint32 UnityAudioEffectDefinition::parameterStructSize

## ◆ apiVersion

juce::uint32 UnityAudioEffectDefinition::apiVersion

## ◆ pluginVersion

juce::uint32 UnityAudioEffectDefinition::pluginVersion

## ◆ channels

juce::uint32 UnityAudioEffectDefinition::channels

## ◆ numParameters

juce::uint32 UnityAudioEffectDefinition::numParameters

## ◆ flags

juce::uint64 UnityAudioEffectDefinition::flags

## ◆ name

char UnityAudioEffectDefinition::name[32]

## ◆ create

createCallback UnityAudioEffectDefinition::create

## ◆ release

releaseCallback UnityAudioEffectDefinition::release

## ◆ reset

resetCallback UnityAudioEffectDefinition::reset

## ◆ process

processCallback UnityAudioEffectDefinition::process

## ◆ setPosition

setPositionCallback UnityAudioEffectDefinition::setPosition

## ◆ parameterDefintions

UnityAudioParameterDefinition* UnityAudioEffectDefinition::parameterDefintions

## ◆ setFloatParameter

setFloatParameterCallback UnityAudioEffectDefinition::setFloatParameter

## ◆ getFloatParameter

getFloatParameterCallback UnityAudioEffectDefinition::getFloatParameter

## ◆ getFloatBuffer

getFloatBufferCallback UnityAudioEffectDefinition::getFloatBuffer

The documentation for this struct was generated from the following file:

- juce_UnityPluginInterface.h